Capabilities - List By Location
Dispone delle funzionalità di abbonamento per la località specificata.
GET https://management.azure.com/subscriptions/{subscriptionId}/providers/Microsoft.Sql/locations/{locationName}/capabilities?api-version=2025-01-01
GET https://management.azure.com/subscriptions/{subscriptionId}/providers/Microsoft.Sql/locations/{locationName}/capabilities?api-version=2025-01-01&include={include}
Parametri dell'URI
| Nome | In | Necessario | Tipo | Descrizione |
|---|---|---|---|---|
|
location
|
path | True |
string |
Il nome della località le cui capacità vengono recuperate. |
|
subscription
|
path | True |
string (uuid) |
ID della sottoscrizione di destinazione. Il valore deve essere un UUID. |
|
api-version
|
query | True |
string minLength: 1 |
Versione dell'API da usare per questa operazione. |
|
include
|
query |
Se specificato, limita la risposta a includere solo l'elemento selezionato. |
Risposte
| Nome | Tipo | Descrizione |
|---|---|---|
| 200 OK |
La richiesta ha avuto esito positivo. |
|
| Other Status Codes |
Risposta di errore imprevista. |
Sicurezza
azure_auth
Flusso OAuth2 di Azure Active Directory.
Tipo:
oauth2
Flow:
implicit
URL di autorizzazione:
https://login.microsoftonline.com/common/oauth2/authorize
Ambiti
| Nome | Descrizione |
|---|---|
| user_impersonation | rappresentare l'account utente |
Esempio
List subscription capabilities in the given location.
Esempio di richiesta
GET https://management.azure.com/subscriptions/00000000-1111-2222-3333-444444444444/providers/Microsoft.Sql/locations/eastus/capabilities?api-version=2025-01-01
Risposta di esempio
{
"name": "East US",
"isZoneResilientProvisioningAllowed": false,
"status": "Available",
"supportedJobAgentVersions": [
{
"name": "1.0",
"status": "Default",
"supportedEditions": [
{
"name": "1.0",
"status": "Default",
"supportedServiceLevelObjectives": [
{
"name": "JA100",
"sku": {
"name": "JA100",
"capacity": 100
},
"status": "Default"
},
{
"name": "JA200",
"sku": {
"name": "JA200",
"capacity": 200
},
"status": "Available"
},
{
"name": "JA400",
"sku": {
"name": "JA400",
"capacity": 400
},
"status": "Available"
},
{
"name": "JA800",
"sku": {
"name": "JA800",
"capacity": 800
},
"status": "Available"
}
]
}
]
}
],
"supportedManagedInstanceVersions": [
{
"name": "12.0",
"status": "Default",
"supportedEditions": [
{
"name": "GeneralPurpose",
"status": "Default",
"supportedFamilies": [
{
"name": "Gen4",
"sku": "GP_Gen4",
"status": "Available",
"supportedLicenseTypes": [
{
"name": "LicenseIncluded",
"status": "Default"
},
{
"name": "BasePrice",
"status": "Available"
}
],
"supportedVcoresValues": [
{
"name": "8",
"includedMaxSize": {
"limit": 262144,
"unit": "Megabytes"
},
"instancePoolSupported": true,
"standaloneSupported": true,
"status": "Default",
"supportedMaintenanceConfigurations": [
{
"name": "SQL_Default",
"status": "Default"
},
{
"name": "SQL_EastUS_MI_1",
"status": "Available"
},
{
"name": "SQL_EastUS_MI_2",
"status": "Available"
}
],
"supportedStorageSizes": [
{
"maxValue": {
"limit": 8,
"unit": "Terabytes"
},
"minValue": {
"limit": 32,
"unit": "Gigabytes"
},
"scaleSize": {
"limit": 32,
"unit": "Gigabytes"
},
"status": "Available"
}
],
"value": 8
},
{
"name": "16",
"includedMaxSize": {
"limit": 262144,
"unit": "Megabytes"
},
"instancePoolSupported": true,
"standaloneSupported": true,
"status": "Available",
"supportedMaintenanceConfigurations": [
{
"name": "SQL_Default",
"status": "Default"
},
{
"name": "SQL_EastUS_MI_1",
"status": "Available"
},
{
"name": "SQL_EastUS_MI_2",
"status": "Available"
}
],
"supportedStorageSizes": [
{
"maxValue": {
"limit": 8,
"unit": "Terabytes"
},
"minValue": {
"limit": 32,
"unit": "Gigabytes"
},
"scaleSize": {
"limit": 32,
"unit": "Gigabytes"
},
"status": "Available"
}
],
"value": 16
},
{
"name": "24",
"includedMaxSize": {
"limit": 262144,
"unit": "Megabytes"
},
"instancePoolSupported": true,
"standaloneSupported": true,
"status": "Available",
"supportedMaintenanceConfigurations": [
{
"name": "SQL_Default",
"status": "Default"
},
{
"name": "SQL_EastUS_MI_1",
"status": "Available"
},
{
"name": "SQL_EastUS_MI_2",
"status": "Available"
}
],
"supportedStorageSizes": [
{
"maxValue": {
"limit": 8,
"unit": "Terabytes"
},
"minValue": {
"limit": 32,
"unit": "Gigabytes"
},
"scaleSize": {
"limit": 32,
"unit": "Gigabytes"
},
"status": "Available"
}
],
"value": 24
}
],
"zoneRedundant": true
},
{
"name": "Gen5",
"sku": "GP_Gen5",
"status": "Default",
"supportedLicenseTypes": [
{
"name": "LicenseIncluded",
"status": "Default"
},
{
"name": "BasePrice",
"status": "Available"
}
],
"supportedVcoresValues": [
{
"name": "8",
"includedMaxSize": {
"limit": 262144,
"unit": "Megabytes"
},
"instancePoolSupported": true,
"standaloneSupported": true,
"status": "Default",
"supportedMaintenanceConfigurations": [
{
"name": "SQL_Default",
"status": "Default"
},
{
"name": "SQL_EastUS_MI_1",
"status": "Available"
},
{
"name": "SQL_EastUS_MI_2",
"status": "Available"
}
],
"supportedStorageSizes": [
{
"maxValue": {
"limit": 8,
"unit": "Terabytes"
},
"minValue": {
"limit": 32,
"unit": "Gigabytes"
},
"scaleSize": {
"limit": 32,
"unit": "Gigabytes"
},
"status": "Available"
}
],
"value": 8
},
{
"name": "16",
"includedMaxSize": {
"limit": 262144,
"unit": "Megabytes"
},
"instancePoolSupported": true,
"standaloneSupported": true,
"status": "Available",
"supportedMaintenanceConfigurations": [
{
"name": "SQL_Default",
"status": "Default"
},
{
"name": "SQL_EastUS_MI_1",
"status": "Available"
},
{
"name": "SQL_EastUS_MI_2",
"status": "Available"
}
],
"supportedStorageSizes": [
{
"maxValue": {
"limit": 8,
"unit": "Terabytes"
},
"minValue": {
"limit": 32,
"unit": "Gigabytes"
},
"scaleSize": {
"limit": 32,
"unit": "Gigabytes"
},
"status": "Available"
}
],
"value": 16
},
{
"name": "24",
"includedMaxSize": {
"limit": 262144,
"unit": "Megabytes"
},
"instancePoolSupported": true,
"standaloneSupported": true,
"status": "Available",
"supportedMaintenanceConfigurations": [
{
"name": "SQL_Default",
"status": "Default"
},
{
"name": "SQL_EastUS_MI_1",
"status": "Available"
},
{
"name": "SQL_EastUS_MI_2",
"status": "Available"
}
],
"supportedStorageSizes": [
{
"maxValue": {
"limit": 8,
"unit": "Terabytes"
},
"minValue": {
"limit": 32,
"unit": "Gigabytes"
},
"scaleSize": {
"limit": 32,
"unit": "Gigabytes"
},
"status": "Available"
}
],
"value": 24
}
],
"zoneRedundant": true
}
],
"supportedStorageCapabilities": [
{
"status": "Default",
"storageAccountType": "GRS"
},
{
"status": "Available",
"storageAccountType": "LRS"
},
{
"reason": "ZRS is available in multi-az regions",
"status": "Visible",
"storageAccountType": "ZRS"
},
{
"reason": "GZRS is available in multi-az regions",
"status": "Available",
"storageAccountType": "GZRS"
}
]
},
{
"name": "Hyperscale",
"status": "Available",
"supportedFamilies": [
{
"name": "Gen4",
"sku": "HS_Gen4",
"status": "Default",
"supportedLicenseTypes": [
{
"name": "LicenseIncluded",
"status": "Default"
},
{
"name": "BasePrice",
"status": "Available"
}
],
"supportedVcoresValues": [
{
"name": "4",
"instancePoolSupported": true,
"standaloneSupported": true,
"status": "Available",
"supportedMaintenanceConfigurations": [
{
"name": "SQL_Default",
"status": "Default"
}
],
"value": 4
},
{
"name": "8",
"instancePoolSupported": true,
"standaloneSupported": true,
"status": "Default",
"supportedMaintenanceConfigurations": [
{
"name": "SQL_Default",
"status": "Default"
}
],
"value": 8
},
{
"name": "16",
"instancePoolSupported": true,
"standaloneSupported": true,
"status": "Available",
"supportedMaintenanceConfigurations": [
{
"name": "SQL_Default",
"status": "Default"
}
],
"value": 16
},
{
"name": "24",
"instancePoolSupported": true,
"standaloneSupported": true,
"status": "Available",
"supportedMaintenanceConfigurations": [
{
"name": "SQL_Default",
"status": "Default"
}
],
"value": 24
}
],
"zoneRedundant": false
},
{
"name": "Gen5",
"sku": "HS_Gen5",
"status": "Available",
"supportedLicenseTypes": [
{
"name": "LicenseIncluded",
"status": "Default"
},
{
"name": "BasePrice",
"status": "Available"
}
],
"supportedVcoresValues": [
{
"name": "4",
"instancePoolSupported": true,
"standaloneSupported": true,
"status": "Available",
"supportedMaintenanceConfigurations": [
{
"name": "SQL_Default",
"status": "Default"
}
],
"value": 4
},
{
"name": "8",
"instancePoolSupported": true,
"standaloneSupported": true,
"status": "Default",
"supportedMaintenanceConfigurations": [
{
"name": "SQL_Default",
"status": "Default"
}
],
"value": 8
},
{
"name": "16",
"instancePoolSupported": true,
"standaloneSupported": true,
"status": "Available",
"supportedMaintenanceConfigurations": [
{
"name": "SQL_Default",
"status": "Default"
}
],
"value": 16
},
{
"name": "24",
"instancePoolSupported": true,
"standaloneSupported": true,
"status": "Available",
"supportedMaintenanceConfigurations": [
{
"name": "SQL_Default",
"status": "Default"
}
],
"value": 24
},
{
"name": "32",
"instancePoolSupported": true,
"standaloneSupported": true,
"status": "Available",
"supportedMaintenanceConfigurations": [
{
"name": "SQL_Default",
"status": "Default"
}
],
"value": 32
},
{
"name": "40",
"instancePoolSupported": true,
"standaloneSupported": true,
"status": "Available",
"supportedMaintenanceConfigurations": [
{
"name": "SQL_Default",
"status": "Default"
}
],
"value": 40
},
{
"name": "48",
"instancePoolSupported": true,
"standaloneSupported": true,
"status": "Available",
"supportedMaintenanceConfigurations": [
{
"name": "SQL_Default",
"status": "Default"
}
],
"value": 48
},
{
"name": "64",
"instancePoolSupported": true,
"standaloneSupported": true,
"status": "Available",
"supportedMaintenanceConfigurations": [
{
"name": "SQL_Default",
"status": "Default"
}
],
"value": 64
},
{
"name": "80",
"instancePoolSupported": true,
"standaloneSupported": true,
"status": "Available",
"supportedMaintenanceConfigurations": [
{
"name": "SQL_Default",
"status": "Default"
}
],
"value": 80
}
],
"zoneRedundant": false
}
],
"supportedStorageCapabilities": [
{
"status": "Default",
"storageAccountType": "GRS"
},
{
"status": "Available",
"storageAccountType": "LRS"
},
{
"reason": "ZRS is available in multi-az regions",
"status": "Available",
"storageAccountType": "ZRS"
},
{
"reason": "GZRS is available in multi-az regions",
"status": "Available",
"storageAccountType": "GZRS"
}
]
}
],
"supportedInstancePoolEditions": [
{
"name": "GeneralPurpose",
"status": "Default",
"supportedFamilies": [
{
"name": "Gen5",
"status": "Default",
"supportedLicenseTypes": [
{
"name": "LicenseIncluded",
"status": "Default"
},
{
"name": "BasePrice",
"status": "Available"
}
],
"supportedVcoresValues": [
{
"name": "GP_Gen5_8",
"status": "Default",
"storageLimit": {
"limit": 8388608,
"unit": "Megabytes"
},
"value": 8
},
{
"name": "GP_Gen5_16",
"status": "Available",
"storageLimit": {
"limit": 8388608,
"unit": "Megabytes"
},
"value": 16
},
{
"name": "GP_Gen5_24",
"status": "Available",
"storageLimit": {
"limit": 8388608,
"unit": "Megabytes"
},
"value": 24
},
{
"name": "GP_Gen5_32",
"status": "Available",
"storageLimit": {
"limit": 8388608,
"unit": "Megabytes"
},
"value": 32
},
{
"name": "GP_Gen5_40",
"status": "Available",
"storageLimit": {
"limit": 8388608,
"unit": "Megabytes"
},
"value": 40
},
{
"name": "GP_Gen5_64",
"status": "Available",
"storageLimit": {
"limit": 8388608,
"unit": "Megabytes"
},
"value": 64
},
{
"name": "GP_Gen5_80",
"status": "Available",
"storageLimit": {
"limit": 8388608,
"unit": "Megabytes"
},
"value": 80
}
]
}
]
}
]
}
],
"supportedServerVersions": [
{
"name": "12.0",
"status": "Default",
"supportedEditions": [
{
"name": "Hyperscale",
"readScale": {
"maxNumberOfReplicas": 4
},
"status": "Available",
"supportedServiceLevelObjectives": [
{
"name": "HS_Gen4_1",
"computeModel": "Provisioned",
"id": "9380cd0e-b025-4e9d-829c-c1918c1614bb",
"performanceLevel": {
"unit": "VCores",
"value": 1
},
"sku": {
"name": "HS_Gen4",
"capacity": 1,
"family": "Gen4",
"tier": "Hyperscale"
},
"status": "Available",
"supportedLicenseTypes": [
{
"name": "LicenseIncluded",
"status": "Default"
},
{
"name": "BasePrice",
"status": "Available"
}
],
"supportedMaintenanceConfigurations": [
{
"name": "SQL_Default",
"status": "Default",
"zoneRedundant": false
}
],
"zonePinning": true,
"zoneRedundant": false
},
{
"name": "HS_Gen4_2",
"computeModel": "Provisioned",
"id": "34497c3f-24b9-4cee-968d-6e5e854670fe",
"performanceLevel": {
"unit": "VCores",
"value": 2
},
"sku": {
"name": "HS_Gen4",
"capacity": 2,
"family": "Gen4",
"tier": "Hyperscale"
},
"status": "Available",
"supportedLicenseTypes": [
{
"name": "LicenseIncluded",
"status": "Default"
},
{
"name": "BasePrice",
"status": "Available"
}
],
"supportedMaintenanceConfigurations": [
{
"name": "SQL_Default",
"status": "Default",
"zoneRedundant": false
}
],
"zonePinning": true,
"zoneRedundant": false
},
{
"name": "HS_Gen5_2",
"computeModel": "Provisioned",
"id": "a420d2b2-ca32-4152-b1c6-dd8d4d9fd734",
"performanceLevel": {
"unit": "VCores",
"value": 2
},
"sku": {
"name": "HS_Gen5",
"capacity": 2,
"family": "Gen5",
"tier": "Hyperscale"
},
"status": "Default",
"supportedLicenseTypes": [
{
"name": "LicenseIncluded",
"status": "Default"
},
{
"name": "BasePrice",
"status": "Available"
}
],
"supportedMaintenanceConfigurations": [
{
"name": "SQL_Default",
"status": "Default",
"zoneRedundant": false
}
],
"zonePinning": true,
"zoneRedundant": false
},
{
"name": "HS_Gen4_3",
"computeModel": "Provisioned",
"id": "5de845d2-2055-428c-b507-94131358cdd7",
"performanceLevel": {
"unit": "VCores",
"value": 3
},
"sku": {
"name": "HS_Gen4",
"capacity": 3,
"family": "Gen4",
"tier": "Hyperscale"
},
"status": "Available",
"supportedLicenseTypes": [
{
"name": "LicenseIncluded",
"status": "Default"
},
{
"name": "BasePrice",
"status": "Available"
}
],
"supportedMaintenanceConfigurations": [
{
"name": "SQL_Default",
"status": "Default",
"zoneRedundant": false
}
],
"zonePinning": true,
"zoneRedundant": false
},
{
"name": "HS_Gen4_4",
"computeModel": "Provisioned",
"id": "d060b874-21f3-47b0-a9bd-a1a737cfcc6e",
"performanceLevel": {
"unit": "VCores",
"value": 4
},
"sku": {
"name": "HS_Gen4",
"capacity": 4,
"family": "Gen4",
"tier": "Hyperscale"
},
"status": "Available",
"supportedLicenseTypes": [
{
"name": "LicenseIncluded",
"status": "Default"
},
{
"name": "BasePrice",
"status": "Available"
}
],
"supportedMaintenanceConfigurations": [
{
"name": "SQL_Default",
"status": "Default",
"zoneRedundant": false
}
],
"zonePinning": true,
"zoneRedundant": false
},
{
"name": "HS_Gen5_4",
"computeModel": "Provisioned",
"id": "60dba88b-2dfa-4123-be57-bd0dbfd92a72",
"performanceLevel": {
"unit": "VCores",
"value": 4
},
"sku": {
"name": "HS_Gen5",
"capacity": 4,
"family": "Gen5",
"tier": "Hyperscale"
},
"status": "Available",
"supportedLicenseTypes": [
{
"name": "LicenseIncluded",
"status": "Default"
},
{
"name": "BasePrice",
"status": "Available"
}
],
"supportedMaintenanceConfigurations": [
{
"name": "SQL_Default",
"status": "Default",
"zoneRedundant": false
}
],
"zonePinning": true,
"zoneRedundant": false
},
{
"name": "HS_Gen4_5",
"computeModel": "Provisioned",
"id": "925a0916-15fb-4764-aa76-533d97f2d782",
"performanceLevel": {
"unit": "VCores",
"value": 5
},
"sku": {
"name": "HS_Gen4",
"capacity": 5,
"family": "Gen4",
"tier": "Hyperscale"
},
"status": "Available",
"supportedLicenseTypes": [
{
"name": "LicenseIncluded",
"status": "Default"
},
{
"name": "BasePrice",
"status": "Available"
}
],
"supportedMaintenanceConfigurations": [
{
"name": "SQL_Default",
"status": "Default",
"zoneRedundant": false
}
],
"zonePinning": true,
"zoneRedundant": false
},
{
"name": "HS_Gen4_6",
"computeModel": "Provisioned",
"id": "d7aa11c2-e4c7-442a-962e-308b371f5ec1",
"performanceLevel": {
"unit": "VCores",
"value": 6
},
"sku": {
"name": "HS_Gen4",
"capacity": 6,
"family": "Gen4",
"tier": "Hyperscale"
},
"status": "Available",
"supportedLicenseTypes": [
{
"name": "LicenseIncluded",
"status": "Default"
},
{
"name": "BasePrice",
"status": "Available"
}
],
"supportedMaintenanceConfigurations": [
{
"name": "SQL_Default",
"status": "Default",
"zoneRedundant": false
}
],
"zonePinning": true,
"zoneRedundant": false
},
{
"name": "HS_Gen5_6",
"computeModel": "Provisioned",
"id": "b9c594ec-a3fe-4bfe-808d-a595410d0a07",
"performanceLevel": {
"unit": "VCores",
"value": 6
},
"sku": {
"name": "HS_Gen5",
"capacity": 6,
"family": "Gen5",
"tier": "Hyperscale"
},
"status": "Available",
"supportedLicenseTypes": [
{
"name": "LicenseIncluded",
"status": "Default"
},
{
"name": "BasePrice",
"status": "Available"
}
],
"supportedMaintenanceConfigurations": [
{
"name": "SQL_Default",
"status": "Default",
"zoneRedundant": false
}
],
"zonePinning": true,
"zoneRedundant": false
},
{
"name": "HS_Gen4_7",
"computeModel": "Provisioned",
"id": "d77eef57-6c00-4003-b140-822509b8736a",
"performanceLevel": {
"unit": "VCores",
"value": 7
},
"sku": {
"name": "HS_Gen4",
"capacity": 7,
"family": "Gen4",
"tier": "Hyperscale"
},
"status": "Available",
"supportedLicenseTypes": [
{
"name": "LicenseIncluded",
"status": "Default"
},
{
"name": "BasePrice",
"status": "Available"
}
],
"supportedMaintenanceConfigurations": [
{
"name": "SQL_Default",
"status": "Default",
"zoneRedundant": false
}
],
"zonePinning": true,
"zoneRedundant": false
},
{
"name": "HS_Gen4_8",
"computeModel": "Provisioned",
"id": "694bf389-7cb2-4461-8fa2-0b06d8438315",
"performanceLevel": {
"unit": "VCores",
"value": 8
},
"sku": {
"name": "HS_Gen4",
"capacity": 8,
"family": "Gen4",
"tier": "Hyperscale"
},
"status": "Available",
"supportedLicenseTypes": [
{
"name": "LicenseIncluded",
"status": "Default"
},
{
"name": "BasePrice",
"status": "Available"
}
],
"supportedMaintenanceConfigurations": [
{
"name": "SQL_Default",
"status": "Default",
"zoneRedundant": false
}
],
"zonePinning": true,
"zoneRedundant": false
},
{
"name": "HS_Gen5_8",
"computeModel": "Provisioned",
"id": "efdfac5f-3f8e-4500-95b1-684c07349860",
"performanceLevel": {
"unit": "VCores",
"value": 8
},
"sku": {
"name": "HS_Gen5",
"capacity": 8,
"family": "Gen5",
"tier": "Hyperscale"
},
"status": "Available",
"supportedLicenseTypes": [
{
"name": "LicenseIncluded",
"status": "Default"
},
{
"name": "BasePrice",
"status": "Available"
}
],
"supportedMaintenanceConfigurations": [
{
"name": "SQL_Default",
"status": "Default",
"zoneRedundant": false
}
],
"zonePinning": true,
"zoneRedundant": false
},
{
"name": "HS_Gen4_9",
"computeModel": "Provisioned",
"id": "554ea52a-9ecc-4d87-bbc7-1e257705da3f",
"performanceLevel": {
"unit": "VCores",
"value": 9
},
"sku": {
"name": "HS_Gen4",
"capacity": 9,
"family": "Gen4",
"tier": "Hyperscale"
},
"status": "Available",
"supportedLicenseTypes": [
{
"name": "LicenseIncluded",
"status": "Default"
},
{
"name": "BasePrice",
"status": "Available"
}
],
"supportedMaintenanceConfigurations": [
{
"name": "SQL_Default",
"status": "Default",
"zoneRedundant": false
}
],
"zonePinning": true,
"zoneRedundant": false
},
{
"name": "HS_Gen4_10",
"computeModel": "Provisioned",
"id": "576f3f38-b950-4eaa-b74e-33d831193441",
"performanceLevel": {
"unit": "VCores",
"value": 10
},
"sku": {
"name": "HS_Gen4",
"capacity": 10,
"family": "Gen4",
"tier": "Hyperscale"
},
"status": "Available",
"supportedLicenseTypes": [
{
"name": "LicenseIncluded",
"status": "Default"
},
{
"name": "BasePrice",
"status": "Available"
}
],
"supportedMaintenanceConfigurations": [
{
"name": "SQL_Default",
"status": "Default",
"zoneRedundant": false
}
],
"zonePinning": true,
"zoneRedundant": false
},
{
"name": "HS_Gen5_10",
"computeModel": "Provisioned",
"id": "69697c3a-1946-4eb8-a5a4-a269168dde27",
"performanceLevel": {
"unit": "VCores",
"value": 10
},
"sku": {
"name": "HS_Gen5",
"capacity": 10,
"family": "Gen5",
"tier": "Hyperscale"
},
"status": "Available",
"supportedLicenseTypes": [
{
"name": "LicenseIncluded",
"status": "Default"
},
{
"name": "BasePrice",
"status": "Available"
}
],
"supportedMaintenanceConfigurations": [
{
"name": "SQL_Default",
"status": "Default",
"zoneRedundant": false
}
],
"zonePinning": true,
"zoneRedundant": false
},
{
"name": "HS_Gen5_12",
"computeModel": "Provisioned",
"id": "1bee9dc8-68b4-44df-b870-8ab0e4d71e94",
"performanceLevel": {
"unit": "VCores",
"value": 12
},
"sku": {
"name": "HS_Gen5",
"capacity": 12,
"family": "Gen5",
"tier": "Hyperscale"
},
"status": "Available",
"supportedLicenseTypes": [
{
"name": "LicenseIncluded",
"status": "Default"
},
{
"name": "BasePrice",
"status": "Available"
}
],
"supportedMaintenanceConfigurations": [
{
"name": "SQL_Default",
"status": "Default",
"zoneRedundant": false
}
],
"zonePinning": true,
"zoneRedundant": false
},
{
"name": "HS_Gen5_14",
"computeModel": "Provisioned",
"id": "07a8341d-c0b2-4000-bc7a-5b4dae2ad210",
"performanceLevel": {
"unit": "VCores",
"value": 14
},
"sku": {
"name": "HS_Gen5",
"capacity": 14,
"family": "Gen5",
"tier": "Hyperscale"
},
"status": "Available",
"supportedLicenseTypes": [
{
"name": "LicenseIncluded",
"status": "Default"
},
{
"name": "BasePrice",
"status": "Available"
}
],
"supportedMaintenanceConfigurations": [
{
"name": "SQL_Default",
"status": "Default",
"zoneRedundant": false
}
],
"zonePinning": true,
"zoneRedundant": false
},
{
"name": "HS_Gen4_16",
"computeModel": "Provisioned",
"id": "7fc1f700-a45d-499e-901f-2a00645c54db",
"performanceLevel": {
"unit": "VCores",
"value": 16
},
"sku": {
"name": "HS_Gen4",
"capacity": 16,
"family": "Gen4",
"tier": "Hyperscale"
},
"status": "Available",
"supportedLicenseTypes": [
{
"name": "LicenseIncluded",
"status": "Default"
},
{
"name": "BasePrice",
"status": "Available"
}
],
"supportedMaintenanceConfigurations": [
{
"name": "SQL_Default",
"status": "Default",
"zoneRedundant": false
}
],
"zonePinning": true,
"zoneRedundant": false
},
{
"name": "HS_Gen5_16",
"computeModel": "Provisioned",
"id": "6b56f70b-52e5-44ba-8cd5-4f63d224b206",
"performanceLevel": {
"unit": "VCores",
"value": 16
},
"sku": {
"name": "HS_Gen5",
"capacity": 16,
"family": "Gen5",
"tier": "Hyperscale"
},
"status": "Available",
"supportedLicenseTypes": [
{
"name": "LicenseIncluded",
"status": "Default"
},
{
"name": "BasePrice",
"status": "Available"
}
],
"supportedMaintenanceConfigurations": [
{
"name": "SQL_Default",
"status": "Default",
"zoneRedundant": false
}
],
"zonePinning": true,
"zoneRedundant": false
},
{
"name": "HS_Gen5_18",
"computeModel": "Provisioned",
"id": "ba0029f2-3ff4-4ef6-9e65-e8f77b5dd1e2",
"performanceLevel": {
"unit": "VCores",
"value": 18
},
"sku": {
"name": "HS_Gen5",
"capacity": 18,
"family": "Gen5",
"tier": "Hyperscale"
},
"status": "Available",
"supportedLicenseTypes": [
{
"name": "LicenseIncluded",
"status": "Default"
},
{
"name": "BasePrice",
"status": "Available"
}
],
"supportedMaintenanceConfigurations": [
{
"name": "SQL_Default",
"status": "Default",
"zoneRedundant": false
}
],
"zonePinning": true,
"zoneRedundant": false
},
{
"name": "HS_Gen5_20",
"computeModel": "Provisioned",
"id": "f1b2a082-f622-4fb8-bbef-e74deac3ec89",
"performanceLevel": {
"unit": "VCores",
"value": 20
},
"sku": {
"name": "HS_Gen5",
"capacity": 20,
"family": "Gen5",
"tier": "Hyperscale"
},
"status": "Available",
"supportedLicenseTypes": [
{
"name": "LicenseIncluded",
"status": "Default"
},
{
"name": "BasePrice",
"status": "Available"
}
],
"supportedMaintenanceConfigurations": [
{
"name": "SQL_Default",
"status": "Default",
"zoneRedundant": false
}
],
"zonePinning": true,
"zoneRedundant": false
},
{
"name": "HS_Gen4_24",
"computeModel": "Provisioned",
"id": "f016d419-a031-4b93-ab62-7f3d2a789376",
"performanceLevel": {
"unit": "VCores",
"value": 24
},
"sku": {
"name": "HS_Gen4",
"capacity": 24,
"family": "Gen4",
"tier": "Hyperscale"
},
"status": "Available",
"supportedLicenseTypes": [
{
"name": "LicenseIncluded",
"status": "Default"
},
{
"name": "BasePrice",
"status": "Available"
}
],
"supportedMaintenanceConfigurations": [
{
"name": "SQL_Default",
"status": "Default",
"zoneRedundant": false
}
],
"zonePinning": true,
"zoneRedundant": false
},
{
"name": "HS_Gen5_24",
"computeModel": "Provisioned",
"id": "222bc0ee-e195-4bbc-be05-3b849c3a8195",
"performanceLevel": {
"unit": "VCores",
"value": 24
},
"sku": {
"name": "HS_Gen5",
"capacity": 24,
"family": "Gen5",
"tier": "Hyperscale"
},
"status": "Available",
"supportedLicenseTypes": [
{
"name": "LicenseIncluded",
"status": "Default"
},
{
"name": "BasePrice",
"status": "Available"
}
],
"supportedMaintenanceConfigurations": [
{
"name": "SQL_Default",
"status": "Default",
"zoneRedundant": false
}
],
"zonePinning": true,
"zoneRedundant": false
},
{
"name": "HS_Gen5_32",
"computeModel": "Provisioned",
"id": "05366cca-cc70-486e-a697-bb3fab877f75",
"performanceLevel": {
"unit": "VCores",
"value": 32
},
"sku": {
"name": "HS_Gen5",
"capacity": 32,
"family": "Gen5",
"tier": "Hyperscale"
},
"status": "Available",
"supportedLicenseTypes": [
{
"name": "LicenseIncluded",
"status": "Default"
},
{
"name": "BasePrice",
"status": "Available"
}
],
"supportedMaintenanceConfigurations": [
{
"name": "SQL_Default",
"status": "Default",
"zoneRedundant": false
}
],
"zonePinning": true,
"zoneRedundant": false
},
{
"name": "HS_Gen5_40",
"computeModel": "Provisioned",
"id": "32542ef7-124d-4e66-8b41-9c6c0ab963c2",
"performanceLevel": {
"unit": "VCores",
"value": 40
},
"sku": {
"name": "HS_Gen5",
"capacity": 40,
"family": "Gen5",
"tier": "Hyperscale"
},
"status": "Available",
"supportedLicenseTypes": [
{
"name": "LicenseIncluded",
"status": "Default"
},
{
"name": "BasePrice",
"status": "Available"
}
],
"supportedMaintenanceConfigurations": [
{
"name": "SQL_Default",
"status": "Default",
"zoneRedundant": false
}
],
"zonePinning": true,
"zoneRedundant": false
},
{
"name": "HS_Gen5_80",
"computeModel": "Provisioned",
"id": "6509db45-febe-44dd-a079-35f11d477984",
"performanceLevel": {
"unit": "VCores",
"value": 80
},
"sku": {
"name": "HS_Gen5",
"capacity": 80,
"family": "Gen5",
"tier": "Hyperscale"
},
"status": "Available",
"supportedLicenseTypes": [
{
"name": "LicenseIncluded",
"status": "Default"
},
{
"name": "BasePrice",
"status": "Available"
}
],
"supportedMaintenanceConfigurations": [
{
"name": "SQL_Default",
"status": "Default",
"zoneRedundant": false
}
],
"zonePinning": true,
"zoneRedundant": false
}
],
"supportedStorageCapabilities": [
{
"status": "Default",
"storageAccountType": "GRS"
},
{
"status": "Available",
"storageAccountType": "LRS"
},
{
"reason": "ZRS is available in multi-az regions",
"status": "Available",
"storageAccountType": "ZRS"
},
{
"reason": "GZRS is available in multi-az regions",
"status": "Available",
"storageAccountType": "GZRS"
}
],
"zonePinning": true,
"zoneRedundant": false
}
],
"supportedElasticPoolEditions": [
{
"name": "BusinessCritical",
"status": "Available",
"supportedElasticPoolPerformanceLevels": [
{
"maxDatabaseCount": 100,
"performanceLevel": {
"unit": "VCores",
"value": 3
},
"sku": {
"name": "BC_Gen4",
"capacity": 3,
"family": "Gen4",
"tier": "BusinessCritical"
},
"status": "Available",
"supportedLicenseTypes": [
{
"name": "LicenseIncluded",
"status": "Default"
},
{
"name": "BasePrice",
"status": "Available"
}
],
"supportedMaintenanceConfigurations": [
{
"name": "SQL_Default",
"status": "Default",
"zoneRedundant": false
},
{
"name": "SQL_EastUS_DB_1",
"status": "Available",
"zoneRedundant": false
},
{
"name": "SQL_EastUS_DB_2",
"status": "Available",
"zoneRedundant": false
}
],
"supportedMaxSizes": [
{
"logSize": {
"limit": 30,
"unit": "Percent"
},
"maxValue": {
"limit": 31744,
"unit": "Megabytes"
},
"minValue": {
"limit": 1024,
"unit": "Megabytes"
},
"scaleSize": {
"limit": 1024,
"unit": "Megabytes"
},
"status": "Available"
},
{
"logSize": {
"limit": 30,
"unit": "Percent"
},
"maxValue": {
"limit": 32768,
"unit": "Megabytes"
},
"minValue": {
"limit": 32768,
"unit": "Megabytes"
},
"scaleSize": {
"limit": 0,
"unit": "Megabytes"
},
"status": "Default"
},
{
"logSize": {
"limit": 30,
"unit": "Percent"
},
"maxValue": {
"limit": 1048576,
"unit": "Megabytes"
},
"minValue": {
"limit": 33792,
"unit": "Megabytes"
},
"scaleSize": {
"limit": 1024,
"unit": "Megabytes"
},
"status": "Available"
}
],
"supportedPerDatabaseMaxPerformanceLevels": [
{
"limit": 0.25,
"status": "Available",
"supportedPerDatabaseMinPerformanceLevels": [
{
"limit": 0,
"status": "Default",
"unit": "VCores"
},
{
"limit": 0.25,
"status": "Available",
"unit": "VCores"
}
],
"unit": "VCores"
},
{
"limit": 0.5,
"status": "Available",
"supportedPerDatabaseMinPerformanceLevels": [
{
"limit": 0,
"status": "Default",
"unit": "VCores"
},
{
"limit": 0.25,
"status": "Available",
"unit": "VCores"
},
{
"limit": 0.5,
"status": "Available",
"unit": "VCores"
}
],
"unit": "VCores"
},
{
"limit": 1,
"status": "Available",
"supportedPerDatabaseMinPerformanceLevels": [
{
"limit": 0,
"status": "Default",
"unit": "VCores"
},
{
"limit": 0.25,
"status": "Available",
"unit": "VCores"
},
{
"limit": 0.5,
"status": "Available",
"unit": "VCores"
},
{
"limit": 1,
"status": "Available",
"unit": "VCores"
}
],
"unit": "VCores"
},
{
"limit": 2,
"status": "Available",
"supportedPerDatabaseMinPerformanceLevels": [
{
"limit": 0,
"status": "Default",
"unit": "VCores"
},
{
"limit": 0.25,
"status": "Available",
"unit": "VCores"
},
{
"limit": 0.5,
"status": "Available",
"unit": "VCores"
},
{
"limit": 1,
"status": "Available",
"unit": "VCores"
},
{
"limit": 2,
"status": "Available",
"unit": "VCores"
}
],
"unit": "VCores"
},
{
"limit": 3,
"status": "Default",
"supportedPerDatabaseMinPerformanceLevels": [
{
"limit": 0,
"status": "Default",
"unit": "VCores"
},
{
"limit": 0.25,
"status": "Available",
"unit": "VCores"
},
{
"limit": 0.5,
"status": "Available",
"unit": "VCores"
},
{
"limit": 1,
"status": "Available",
"unit": "VCores"
},
{
"limit": 2,
"status": "Available",
"unit": "VCores"
},
{
"limit": 3,
"status": "Available",
"unit": "VCores"
}
],
"unit": "VCores"
}
],
"supportedPerDatabaseMaxSizes": [
{
"maxValue": {
"limit": 31744,
"unit": "Megabytes"
},
"minValue": {
"limit": 1024,
"unit": "Megabytes"
},
"scaleSize": {
"limit": 1024,
"unit": "Megabytes"
},
"status": "Available"
},
{
"maxValue": {
"limit": 32768,
"unit": "Megabytes"
},
"minValue": {
"limit": 32768,
"unit": "Megabytes"
},
"scaleSize": {
"limit": 0,
"unit": "Megabytes"
},
"status": "Default"
},
{
"maxValue": {
"limit": 1048576,
"unit": "Megabytes"
},
"minValue": {
"limit": 33792,
"unit": "Megabytes"
},
"scaleSize": {
"limit": 1024,
"unit": "Megabytes"
},
"status": "Available"
}
],
"zoneRedundant": false
},
{
"maxDatabaseCount": 100,
"performanceLevel": {
"unit": "VCores",
"value": 12
},
"sku": {
"name": "BC_Gen5",
"capacity": 12,
"family": "Gen5",
"tier": "BusinessCritical"
},
"status": "Available",
"supportedLicenseTypes": [
{
"name": "LicenseIncluded",
"status": "Default"
},
{
"name": "BasePrice",
"status": "Available"
}
],
"supportedMaintenanceConfigurations": [
{
"name": "SQL_Default",
"status": "Default",
"zoneRedundant": false
},
{
"name": "SQL_EastUS_DB_1",
"status": "Available",
"zoneRedundant": false
},
{
"name": "SQL_EastUS_DB_2",
"status": "Available",
"zoneRedundant": false
}
],
"supportedMaxSizes": [
{
"logSize": {
"limit": 30,
"unit": "Percent"
},
"maxValue": {
"limit": 31744,
"unit": "Megabytes"
},
"minValue": {
"limit": 1024,
"unit": "Megabytes"
},
"scaleSize": {
"limit": 1024,
"unit": "Megabytes"
},
"status": "Available"
},
{
"logSize": {
"limit": 30,
"unit": "Percent"
},
"maxValue": {
"limit": 32768,
"unit": "Megabytes"
},
"minValue": {
"limit": 32768,
"unit": "Megabytes"
},
"scaleSize": {
"limit": 0,
"unit": "Megabytes"
},
"status": "Default"
},
{
"logSize": {
"limit": 30,
"unit": "Percent"
},
"maxValue": {
"limit": 3144704,
"unit": "Megabytes"
},
"minValue": {
"limit": 33792,
"unit": "Megabytes"
},
"scaleSize": {
"limit": 1024,
"unit": "Megabytes"
},
"status": "Available"
},
{
"logSize": {
"limit": 1048576,
"unit": "Megabytes"
},
"maxValue": {
"limit": 3145728,
"unit": "Megabytes"
},
"minValue": {
"limit": 3145728,
"unit": "Megabytes"
},
"scaleSize": {
"limit": 0,
"unit": "Megabytes"
},
"status": "Available"
}
],
"supportedPerDatabaseMaxPerformanceLevels": [
{
"limit": 0.25,
"status": "Available",
"supportedPerDatabaseMinPerformanceLevels": [
{
"limit": 0,
"status": "Default",
"unit": "VCores"
},
{
"limit": 0.25,
"status": "Available",
"unit": "VCores"
}
],
"unit": "VCores"
},
{
"limit": 0.5,
"status": "Available",
"supportedPerDatabaseMinPerformanceLevels": [
{
"limit": 0,
"status": "Default",
"unit": "VCores"
},
{
"limit": 0.25,
"status": "Available",
"unit": "VCores"
},
{
"limit": 0.5,
"status": "Available",
"unit": "VCores"
}
],
"unit": "VCores"
},
{
"limit": 1,
"status": "Available",
"supportedPerDatabaseMinPerformanceLevels": [
{
"limit": 0,
"status": "Default",
"unit": "VCores"
},
{
"limit": 0.25,
"status": "Available",
"unit": "VCores"
},
{
"limit": 0.5,
"status": "Available",
"unit": "VCores"
},
{
"limit": 1,
"status": "Available",
"unit": "VCores"
}
],
"unit": "VCores"
},
{
"limit": 2,
"status": "Available",
"supportedPerDatabaseMinPerformanceLevels": [
{
"limit": 0,
"status": "Default",
"unit": "VCores"
},
{
"limit": 0.25,
"status": "Available",
"unit": "VCores"
},
{
"limit": 0.5,
"status": "Available",
"unit": "VCores"
},
{
"limit": 1,
"status": "Available",
"unit": "VCores"
},
{
"limit": 2,
"status": "Available",
"unit": "VCores"
}
],
"unit": "VCores"
},
{
"limit": 4,
"status": "Available",
"supportedPerDatabaseMinPerformanceLevels": [
{
"limit": 0,
"status": "Default",
"unit": "VCores"
},
{
"limit": 0.25,
"status": "Available",
"unit": "VCores"
},
{
"limit": 0.5,
"status": "Available",
"unit": "VCores"
},
{
"limit": 1,
"status": "Available",
"unit": "VCores"
},
{
"limit": 2,
"status": "Available",
"unit": "VCores"
},
{
"limit": 4,
"status": "Available",
"unit": "VCores"
}
],
"unit": "VCores"
},
{
"limit": 6,
"status": "Available",
"supportedPerDatabaseMinPerformanceLevels": [
{
"limit": 0,
"status": "Default",
"unit": "VCores"
},
{
"limit": 0.25,
"status": "Available",
"unit": "VCores"
},
{
"limit": 0.5,
"status": "Available",
"unit": "VCores"
},
{
"limit": 1,
"status": "Available",
"unit": "VCores"
},
{
"limit": 2,
"status": "Available",
"unit": "VCores"
},
{
"limit": 4,
"status": "Available",
"unit": "VCores"
},
{
"limit": 6,
"status": "Available",
"unit": "VCores"
}
],
"unit": "VCores"
},
{
"limit": 8,
"status": "Available",
"supportedPerDatabaseMinPerformanceLevels": [
{
"limit": 0,
"status": "Default",
"unit": "VCores"
},
{
"limit": 0.25,
"status": "Available",
"unit": "VCores"
},
{
"limit": 0.5,
"status": "Available",
"unit": "VCores"
},
{
"limit": 1,
"status": "Available",
"unit": "VCores"
},
{
"limit": 2,
"status": "Available",
"unit": "VCores"
},
{
"limit": 4,
"status": "Available",
"unit": "VCores"
},
{
"limit": 6,
"status": "Available",
"unit": "VCores"
},
{
"limit": 8,
"status": "Available",
"unit": "VCores"
}
],
"unit": "VCores"
},
{
"limit": 10,
"status": "Available",
"supportedPerDatabaseMinPerformanceLevels": [
{
"limit": 0,
"status": "Default",
"unit": "VCores"
},
{
"limit": 0.25,
"status": "Available",
"unit": "VCores"
},
{
"limit": 0.5,
"status": "Available",
"unit": "VCores"
},
{
"limit": 1,
"status": "Available",
"unit": "VCores"
},
{
"limit": 2,
"status": "Available",
"unit": "VCores"
},
{
"limit": 4,
"status": "Available",
"unit": "VCores"
},
{
"limit": 6,
"status": "Available",
"unit": "VCores"
},
{
"limit": 8,
"status": "Available",
"unit": "VCores"
},
{
"limit": 10,
"status": "Available",
"unit": "VCores"
}
],
"unit": "VCores"
},
{
"limit": 12,
"status": "Default",
"supportedPerDatabaseMinPerformanceLevels": [
{
"limit": 0,
"status": "Default",
"unit": "VCores"
},
{
"limit": 0.25,
"status": "Available",
"unit": "VCores"
},
{
"limit": 0.5,
"status": "Available",
"unit": "VCores"
},
{
"limit": 1,
"status": "Available",
"unit": "VCores"
},
{
"limit": 2,
"status": "Available",
"unit": "VCores"
},
{
"limit": 4,
"status": "Available",
"unit": "VCores"
},
{
"limit": 6,
"status": "Available",
"unit": "VCores"
},
{
"limit": 8,
"status": "Available",
"unit": "VCores"
},
{
"limit": 10,
"status": "Available",
"unit": "VCores"
},
{
"limit": 12,
"status": "Available",
"unit": "VCores"
}
],
"unit": "VCores"
}
],
"supportedPerDatabaseMaxSizes": [
{
"maxValue": {
"limit": 31744,
"unit": "Megabytes"
},
"minValue": {
"limit": 1024,
"unit": "Megabytes"
},
"scaleSize": {
"limit": 1024,
"unit": "Megabytes"
},
"status": "Available"
},
{
"maxValue": {
"limit": 32768,
"unit": "Megabytes"
},
"minValue": {
"limit": 32768,
"unit": "Megabytes"
},
"scaleSize": {
"limit": 0,
"unit": "Megabytes"
},
"status": "Default"
},
{
"maxValue": {
"limit": 3144704,
"unit": "Megabytes"
},
"minValue": {
"limit": 33792,
"unit": "Megabytes"
},
"scaleSize": {
"limit": 1024,
"unit": "Megabytes"
},
"status": "Available"
},
{
"maxValue": {
"limit": 3145728,
"unit": "Megabytes"
},
"minValue": {
"limit": 3145728,
"unit": "Megabytes"
},
"scaleSize": {
"limit": 0,
"unit": "Megabytes"
},
"status": "Available"
}
],
"zoneRedundant": true
},
{
"maxDatabaseCount": 100,
"performanceLevel": {
"unit": "VCores",
"value": 128
},
"sku": {
"name": "BC_M",
"capacity": 128,
"family": "M",
"tier": "BusinessCritical"
},
"status": "Available",
"supportedLicenseTypes": [
{
"name": "LicenseIncluded",
"status": "Default"
},
{
"name": "BasePrice",
"status": "Available"
}
],
"supportedMaintenanceConfigurations": [
{
"name": "SQL_Default",
"status": "Default",
"zoneRedundant": false
},
{
"name": "SQL_EastUS_DB_1",
"status": "Available",
"zoneRedundant": false
},
{
"name": "SQL_EastUS_DB_2",
"status": "Available",
"zoneRedundant": false
}
],
"supportedMaxSizes": [
{
"logSize": {
"limit": 30,
"unit": "Percent"
},
"maxValue": {
"limit": 31744,
"unit": "Megabytes"
},
"minValue": {
"limit": 1024,
"unit": "Megabytes"
},
"scaleSize": {
"limit": 1024,
"unit": "Megabytes"
},
"status": "Available"
},
{
"logSize": {
"limit": 30,
"unit": "Percent"
},
"maxValue": {
"limit": 32768,
"unit": "Megabytes"
},
"minValue": {
"limit": 32768,
"unit": "Megabytes"
},
"scaleSize": {
"limit": 0,
"unit": "Megabytes"
},
"status": "Default"
},
{
"logSize": {
"limit": 30,
"unit": "Percent"
},
"maxValue": {
"limit": 3144704,
"unit": "Megabytes"
},
"minValue": {
"limit": 33792,
"unit": "Megabytes"
},
"scaleSize": {
"limit": 1024,
"unit": "Megabytes"
},
"status": "Available"
},
{
"logSize": {
"limit": 1048576,
"unit": "Megabytes"
},
"maxValue": {
"limit": 4194304,
"unit": "Megabytes"
},
"minValue": {
"limit": 3145728,
"unit": "Megabytes"
},
"scaleSize": {
"limit": 1024,
"unit": "Megabytes"
},
"status": "Available"
}
],
"supportedPerDatabaseMaxPerformanceLevels": [
{
"limit": 8,
"status": "Available",
"supportedPerDatabaseMinPerformanceLevels": [
{
"limit": 0,
"status": "Default",
"unit": "VCores"
},
{
"limit": 8,
"status": "Available",
"unit": "VCores"
}
],
"unit": "VCores"
},
{
"limit": 10,
"status": "Available",
"supportedPerDatabaseMinPerformanceLevels": [
{
"limit": 0,
"status": "Default",
"unit": "VCores"
},
{
"limit": 8,
"status": "Available",
"unit": "VCores"
},
{
"limit": 10,
"status": "Available",
"unit": "VCores"
}
],
"unit": "VCores"
},
{
"limit": 12,
"status": "Available",
"supportedPerDatabaseMinPerformanceLevels": [
{
"limit": 0,
"status": "Default",
"unit": "VCores"
},
{
"limit": 8,
"status": "Available",
"unit": "VCores"
},
{
"limit": 10,
"status": "Available",
"unit": "VCores"
},
{
"limit": 12,
"status": "Available",
"unit": "VCores"
}
],
"unit": "VCores"
},
{
"limit": 14,
"status": "Available",
"supportedPerDatabaseMinPerformanceLevels": [
{
"limit": 0,
"status": "Default",
"unit": "VCores"
},
{
"limit": 8,
"status": "Available",
"unit": "VCores"
},
{
"limit": 10,
"status": "Available",
"unit": "VCores"
},
{
"limit": 12,
"status": "Available",
"unit": "VCores"
},
{
"limit": 14,
"status": "Available",
"unit": "VCores"
}
],
"unit": "VCores"
},
{
"limit": 16,
"status": "Available",
"supportedPerDatabaseMinPerformanceLevels": [
{
"limit": 0,
"status": "Default",
"unit": "VCores"
},
{
"limit": 8,
"status": "Available",
"unit": "VCores"
},
{
"limit": 10,
"status": "Available",
"unit": "VCores"
},
{
"limit": 12,
"status": "Available",
"unit": "VCores"
},
{
"limit": 14,
"status": "Available",
"unit": "VCores"
},
{
"limit": 16,
"status": "Available",
"unit": "VCores"
}
],
"unit": "VCores"
},
{
"limit": 18,
"status": "Available",
"supportedPerDatabaseMinPerformanceLevels": [
{
"limit": 0,
"status": "Default",
"unit": "VCores"
},
{
"limit": 8,
"status": "Available",
"unit": "VCores"
},
{
"limit": 10,
"status": "Available",
"unit": "VCores"
},
{
"limit": 12,
"status": "Available",
"unit": "VCores"
},
{
"limit": 14,
"status": "Available",
"unit": "VCores"
},
{
"limit": 16,
"status": "Available",
"unit": "VCores"
},
{
"limit": 18,
"status": "Available",
"unit": "VCores"
}
],
"unit": "VCores"
},
{
"limit": 20,
"status": "Available",
"supportedPerDatabaseMinPerformanceLevels": [
{
"limit": 0,
"status": "Default",
"unit": "VCores"
},
{
"limit": 8,
"status": "Available",
"unit": "VCores"
},
{
"limit": 10,
"status": "Available",
"unit": "VCores"
},
{
"limit": 12,
"status": "Available",
"unit": "VCores"
},
{
"limit": 14,
"status": "Available",
"unit": "VCores"
},
{
"limit": 16,
"status": "Available",
"unit": "VCores"
},
{
"limit": 18,
"status": "Available",
"unit": "VCores"
},
{
"limit": 20,
"status": "Available",
"unit": "VCores"
}
],
"unit": "VCores"
},
{
"limit": 24,
"status": "Available",
"supportedPerDatabaseMinPerformanceLevels": [
{
"limit": 0,
"status": "Default",
"unit": "VCores"
},
{
"limit": 8,
"status": "Available",
"unit": "VCores"
},
{
"limit": 10,
"status": "Available",
"unit": "VCores"
},
{
"limit": 12,
"status": "Available",
"unit": "VCores"
},
{
"limit": 14,
"status": "Available",
"unit": "VCores"
},
{
"limit": 16,
"status": "Available",
"unit": "VCores"
},
{
"limit": 18,
"status": "Available",
"unit": "VCores"
},
{
"limit": 20,
"status": "Available",
"unit": "VCores"
},
{
"limit": 24,
"status": "Available",
"unit": "VCores"
}
],
"unit": "VCores"
},
{
"limit": 32,
"status": "Available",
"supportedPerDatabaseMinPerformanceLevels": [
{
"limit": 0,
"status": "Default",
"unit": "VCores"
},
{
"limit": 8,
"status": "Available",
"unit": "VCores"
},
{
"limit": 10,
"status": "Available",
"unit": "VCores"
},
{
"limit": 12,
"status": "Available",
"unit": "VCores"
},
{
"limit": 14,
"status": "Available",
"unit": "VCores"
},
{
"limit": 16,
"status": "Available",
"unit": "VCores"
},
{
"limit": 18,
"status": "Available",
"unit": "VCores"
},
{
"limit": 20,
"status": "Available",
"unit": "VCores"
},
{
"limit": 24,
"status": "Available",
"unit": "VCores"
},
{
"limit": 32,
"status": "Available",
"unit": "VCores"
}
],
"unit": "VCores"
},
{
"limit": 40,
"status": "Available",
"supportedPerDatabaseMinPerformanceLevels": [
{
"limit": 0,
"status": "Default",
"unit": "VCores"
},
{
"limit": 8,
"status": "Available",
"unit": "VCores"
},
{
"limit": 10,
"status": "Available",
"unit": "VCores"
},
{
"limit": 12,
"status": "Available",
"unit": "VCores"
},
{
"limit": 14,
"status": "Available",
"unit": "VCores"
},
{
"limit": 16,
"status": "Available",
"unit": "VCores"
},
{
"limit": 18,
"status": "Available",
"unit": "VCores"
},
{
"limit": 20,
"status": "Available",
"unit": "VCores"
},
{
"limit": 24,
"status": "Available",
"unit": "VCores"
},
{
"limit": 32,
"status": "Available",
"unit": "VCores"
},
{
"limit": 40,
"status": "Available",
"unit": "VCores"
}
],
"unit": "VCores"
},
{
"limit": 64,
"status": "Available",
"supportedPerDatabaseMinPerformanceLevels": [
{
"limit": 0,
"status": "Default",
"unit": "VCores"
},
{
"limit": 8,
"status": "Available",
"unit": "VCores"
},
{
"limit": 10,
"status": "Available",
"unit": "VCores"
},
{
"limit": 12,
"status": "Available",
"unit": "VCores"
},
{
"limit": 14,
"status": "Available",
"unit": "VCores"
},
{
"limit": 16,
"status": "Available",
"unit": "VCores"
},
{
"limit": 18,
"status": "Available",
"unit": "VCores"
},
{
"limit": 20,
"status": "Available",
"unit": "VCores"
},
{
"limit": 24,
"status": "Available",
"unit": "VCores"
},
{
"limit": 32,
"status": "Available",
"unit": "VCores"
},
{
"limit": 40,
"status": "Available",
"unit": "VCores"
},
{
"limit": 64,
"status": "Available",
"unit": "VCores"
}
],
"unit": "VCores"
},
{
"limit": 80,
"status": "Available",
"supportedPerDatabaseMinPerformanceLevels": [
{
"limit": 0,
"status": "Default",
"unit": "VCores"
},
{
"limit": 8,
"status": "Available",
"unit": "VCores"
},
{
"limit": 10,
"status": "Available",
"unit": "VCores"
},
{
"limit": 12,
"status": "Available",
"unit": "VCores"
},
{
"limit": 14,
"status": "Available",
"unit": "VCores"
},
{
"limit": 16,
"status": "Available",
"unit": "VCores"
},
{
"limit": 18,
"status": "Available",
"unit": "VCores"
},
{
"limit": 20,
"status": "Available",
"unit": "VCores"
},
{
"limit": 24,
"status": "Available",
"unit": "VCores"
},
{
"limit": 32,
"status": "Available",
"unit": "VCores"
},
{
"limit": 40,
"status": "Available",
"unit": "VCores"
},
{
"limit": 64,
"status": "Available",
"unit": "VCores"
},
{
"limit": 80,
"status": "Available",
"unit": "VCores"
}
],
"unit": "VCores"
},
{
"limit": 128,
"status": "Default",
"supportedPerDatabaseMinPerformanceLevels": [
{
"limit": 0,
"status": "Default",
"unit": "VCores"
},
{
"limit": 8,
"status": "Available",
"unit": "VCores"
},
{
"limit": 10,
"status": "Available",
"unit": "VCores"
},
{
"limit": 12,
"status": "Available",
"unit": "VCores"
},
{
"limit": 14,
"status": "Available",
"unit": "VCores"
},
{
"limit": 16,
"status": "Available",
"unit": "VCores"
},
{
"limit": 18,
"status": "Available",
"unit": "VCores"
},
{
"limit": 20,
"status": "Available",
"unit": "VCores"
},
{
"limit": 24,
"status": "Available",
"unit": "VCores"
},
{
"limit": 32,
"status": "Available",
"unit": "VCores"
},
{
"limit": 40,
"status": "Available",
"unit": "VCores"
},
{
"limit": 64,
"status": "Available",
"unit": "VCores"
},
{
"limit": 80,
"status": "Available",
"unit": "VCores"
},
{
"limit": 128,
"status": "Available",
"unit": "VCores"
}
],
"unit": "VCores"
}
],
"supportedPerDatabaseMaxSizes": [
{
"maxValue": {
"limit": 31744,
"unit": "Megabytes"
},
"minValue": {
"limit": 1024,
"unit": "Megabytes"
},
"scaleSize": {
"limit": 1024,
"unit": "Megabytes"
},
"status": "Available"
},
{
"maxValue": {
"limit": 32768,
"unit": "Megabytes"
},
"minValue": {
"limit": 32768,
"unit": "Megabytes"
},
"scaleSize": {
"limit": 0,
"unit": "Megabytes"
},
"status": "Default"
},
{
"maxValue": {
"limit": 3144704,
"unit": "Megabytes"
},
"minValue": {
"limit": 33792,
"unit": "Megabytes"
},
"scaleSize": {
"limit": 1024,
"unit": "Megabytes"
},
"status": "Available"
},
{
"maxValue": {
"limit": 4194304,
"unit": "Megabytes"
},
"minValue": {
"limit": 3145728,
"unit": "Megabytes"
},
"scaleSize": {
"limit": 1024,
"unit": "Megabytes"
},
"status": "Available"
}
],
"zoneRedundant": false
}
],
"zoneRedundant": false
}
]
}
]
}
Definizioni
| Nome | Descrizione |
|---|---|
|
Auto |
Intervallo di tempo di pausa automatica supportato |
|
Capability |
Se specificato, limita la risposta a includere solo l'elemento selezionato. |
|
Capability |
Stato della funzionalità. |
|
Edition |
Funzionalità dell'edizione. |
|
Elastic |
Funzionalità dell'edizione del pool elastico. |
|
Elastic |
Funzionalità massima a livello di prestazioni per database. |
|
Elastic |
Funzionalità minima a livello di prestazioni per database. |
|
Elastic |
Funzionalità del livello di prestazioni del pool elastico. |
|
Error |
Informazioni aggiuntive sull'errore di gestione delle risorse. |
|
Error |
Dettagli dell'errore. |
|
Error |
Risposta di errore |
|
Free |
Specifica il comportamento quando vengono esauriti i limiti gratuiti mensili per il database gratuito. AutoPause: il database verrà sospeso automaticamente al termine dell'esaurimento dei limiti gratuiti per il resto del mese. BillForUsage: il database continuerà a essere online al momento dell'esaurimento dei limiti gratuiti e verranno fatturate eventuali eccedenze. |
|
Free |
Opzioni supportate per il comportamento di esaurimento del limite libero |
|
Instance |
Funzionalità del pool di istanze |
|
Instance |
Funzionalità della famiglia di pool di istanze. |
|
Instance |
Funzionalità dei core virtuali dell'istanza gestita. |
|
Job |
La capacità di Job Agent Edition. |
|
Job |
La capacità di livello di servizio degli agenti di lavoro. |
|
Job |
La funzionalità della versione dell'agente di lavoro. |
|
License |
Funzionalità del tipo di licenza |
|
Location |
Funzionalità di posizione. |
|
Log |
Funzionalità delle dimensioni del log. |
|
Log |
Le unità in cui il limite è espresso. |
|
Maintenance |
Funzionalità di configurazione della manutenzione |
|
Managed |
Funzionalità del server gestito |
|
Managed |
Funzionalità della famiglia di server gestiti. |
|
Managed |
Funzionalità di configurazione della manutenzione |
|
Managed |
Funzionalità dei core virtuali dell'istanza gestita. |
|
Managed |
Funzionalità dell'istanza gestita |
|
Max |
La capacità massima di portata limite. |
|
Max |
Funzionalità di dimensioni massime. |
|
Max |
Funzionalità dell'intervallo di dimensioni massime. |
|
Max |
Le unità in cui il limite è espresso. |
|
Min |
Capacità minima |
|
Pause |
Unità di tempo in cui il ritardo è espresso in |
|
Per |
Intervallo di tempo di pausa automatica supportato |
|
Performance |
Funzionalità del livello di prestazioni. |
|
Performance |
Tipo di unità utilizzato per misurare il livello di prestazione. |
|
Read |
Funzionalità di scalabilità in lettura. |
|
Server |
Funzionalità del server |
|
Service |
Capacità degli obiettivi di servizio. |
| Sku |
SKU della risorsa ARM. |
|
Storage |
Funzionalità del tipo di account di archiviazione. |
|
Storage |
Il tipo di account di archiviazione per i backup del database. |
|
Zone |
La capacità di bloccaggio delle zone |
AutoPauseDelayTimeRange
Intervallo di tempo di pausa automatica supportato
| Nome | Tipo | Descrizione |
|---|---|---|
| default |
integer (int32) |
Il valore predefinito è che non viene fornito alcun valore |
| doNotPauseValue |
integer (int32) |
Valore che viene usato per non mettere in pausa (ritardo infinito prima della pausa) |
| maxValue |
integer (int32) |
Valore massimo |
| minValue |
integer (int32) |
Valore minimo |
| stepSize |
integer (int32) |
Valore a passo per valori discreti tra il valore minimo e il valore massimo. |
| unit |
Unità di tempo in cui il ritardo è espresso in |
CapabilityGroup
Se specificato, limita la risposta a includere solo l'elemento selezionato.
| Valore | Descrizione |
|---|---|
| supportedEditions |
supportedEditions |
| supportedElasticPoolEditions |
supportaElasticPoolEditions |
| supportedManagedInstanceVersions |
supportedManagedInstanceVersions |
| supportedInstancePoolEditions |
supportataInstancePoolEditions |
| supportedManagedInstanceEditions |
supportedManagedInstanceEditions |
| supportedJobAgentVersions |
supportedJobAgentVersions |
CapabilityStatus
Stato della funzionalità.
| Valore | Descrizione |
|---|---|
| Visible |
Visibile |
| Available |
Disponibile |
| Default |
Valore predefinito |
| Disabled |
Disattivato |
EditionCapability
Funzionalità dell'edizione.
| Nome | Tipo | Descrizione |
|---|---|---|
| name |
string |
Il nome dell'edizione del database. |
| readScale |
La capacità di scala di lettura per l'edizione. |
|
| reason |
string |
Motivo della mancata disponibilità della funzionalità. |
| status |
Stato della funzionalità. |
|
| supportedServiceLevelObjectives |
L'elenco degli obiettivi di servizio supportato per l'edizione. |
|
| supportedStorageCapabilities |
L'elenco delle capacità di archiviazione supportate per questa edizione |
|
| zonePinning |
boolean |
Se la zone pinning sia supportata o meno per l'edizione. |
| zoneRedundant |
boolean |
Se la ridondanza di zona sia supportata o meno per l'edizione. |
ElasticPoolEditionCapability
Funzionalità dell'edizione del pool elastico.
| Nome | Tipo | Descrizione |
|---|---|---|
| name |
string |
Il nome edizione elastic pool. |
| reason |
string |
Motivo della mancata disponibilità della funzionalità. |
| status |
Stato della funzionalità. |
|
| supportedElasticPoolPerformanceLevels |
L'elenco dei livelli DTU elastic pool supportati per l'edizione. |
|
| zonePinning |
boolean |
Se la zone pinning sia supportata o meno per l'edizione. |
| zoneRedundant |
boolean |
Se la ridondanza di zona sia supportata o meno per l'edizione. |
ElasticPoolPerDatabaseMaxPerformanceLevelCapability
Funzionalità massima a livello di prestazioni per database.
| Nome | Tipo | Descrizione |
|---|---|---|
| limit |
number (double) |
Il livello massimo di prestazione per database. |
| reason |
string |
Motivo della mancata disponibilità della funzionalità. |
| status |
Stato della funzionalità. |
|
| supportedPerDatabaseMinPerformanceLevels |
L'elenco dei livelli minimi di performance supportati nel database. |
|
| unit |
Tipo di unità utilizzato per misurare il livello di prestazione. |
ElasticPoolPerDatabaseMinPerformanceLevelCapability
Funzionalità minima a livello di prestazioni per database.
| Nome | Tipo | Descrizione |
|---|---|---|
| limit |
number (double) |
Il livello minimo di prestazione per database. |
| reason |
string |
Motivo della mancata disponibilità della funzionalità. |
| status |
Stato della funzionalità. |
|
| unit |
Tipo di unità utilizzato per misurare il livello di prestazione. |
ElasticPoolPerformanceLevelCapability
Funzionalità del livello di prestazioni del pool elastico.
| Nome | Tipo | Descrizione |
|---|---|---|
| includedMaxSize |
La dimensione massima inclusa (gratuita) per questo livello di prestazioni. |
|
| maxDatabaseCount |
integer (int32) |
Il numero massimo di database supportati. |
| performanceLevel |
Il livello di prestazioni per la piscina. |
|
| reason |
string |
Motivo della mancata disponibilità della funzionalità. |
| sku |
Sku. |
|
| status |
Stato della funzionalità. |
|
| supportedAutoPauseDelay |
Intervallo di tempo supportato per il ritardo automatico di pausa |
|
| supportedLicenseTypes |
Elenco dei tipi di licenza supportati. |
|
| supportedMaintenanceConfigurations |
Elenco delle configurazioni di manutenzione supportate |
|
| supportedMaxSizes |
L'elenco delle dimensioni massime supportate. |
|
| supportedMinCapacities |
Elenco delle capacità minime supportate |
|
| supportedPerDatabaseAutoPauseDelay |
Intervallo di tempo supportato per il ritardo di pausa automatica per database |
|
| supportedPerDatabaseMaxPerformanceLevels |
L'elenco dei livelli massimi di prestazioni supportati per database. |
|
| supportedPerDatabaseMaxSizes |
L'elenco delle dimensioni massime supportate per database. |
|
| supportedZones |
Elenco delle zone di disponibilità supportate |
|
| zoneRedundant |
boolean |
Se la ridondanza di zona sia supportata o meno per il livello di prestazioni. |
ErrorAdditionalInfo
Informazioni aggiuntive sull'errore di gestione delle risorse.
| Nome | Tipo | Descrizione |
|---|---|---|
| info |
object |
Informazioni aggiuntive. |
| type |
string |
Tipo di informazioni aggiuntive. |
ErrorDetail
Dettagli dell'errore.
| Nome | Tipo | Descrizione |
|---|---|---|
| additionalInfo |
Informazioni aggiuntive sull'errore. |
|
| code |
string |
Codice di errore. |
| details |
Dettagli dell'errore. |
|
| message |
string |
Messaggio di errore. |
| target |
string |
Destinazione dell'errore. |
ErrorResponse
Risposta di errore
| Nome | Tipo | Descrizione |
|---|---|---|
| error |
Oggetto error. |
FreeLimitExhaustionBehavior
Specifica il comportamento quando vengono esauriti i limiti gratuiti mensili per il database gratuito.
AutoPause: il database verrà sospeso automaticamente al termine dell'esaurimento dei limiti gratuiti per il resto del mese.
BillForUsage: il database continuerà a essere online al momento dell'esaurimento dei limiti gratuiti e verranno fatturate eventuali eccedenze.
| Valore | Descrizione |
|---|---|
| AutoPause |
Autopausa |
| BillOverUsage |
Uso di FatturaOverConsumo |
FreeLimitExhaustionBehaviorCapability
Opzioni supportate per il comportamento di esaurimento del limite libero
| Nome | Tipo | Descrizione |
|---|---|---|
| exhaustionBehaviorType |
Tipo di comportamento di esaurimento a limite libero |
|
| status |
Stato comportamentale di esaurimento libero |
InstancePoolEditionCapability
Funzionalità del pool di istanze
| Nome | Tipo | Descrizione |
|---|---|---|
| name |
string |
Il nome della versione del pool di istanza. |
| reason |
string |
Motivo della mancata disponibilità della funzionalità. |
| status |
Stato della funzionalità. |
|
| supportedFamilies |
Le famiglie sostenute. |
InstancePoolFamilyCapability
Funzionalità della famiglia di pool di istanze.
| Nome | Tipo | Descrizione |
|---|---|---|
| name |
string |
Nome della famiglia. |
| reason |
string |
Motivo della mancata disponibilità della funzionalità. |
| status |
Stato della funzionalità. |
|
| supportedLicenseTypes |
Elenco dei tipi di licenza supportati. |
|
| supportedVcoresValues |
Elenco dei valori dei core virtuali supportati. |
InstancePoolVcoresCapability
Funzionalità dei core virtuali dell'istanza gestita.
| Nome | Tipo | Descrizione |
|---|---|---|
| name |
string |
L'identificatore dei nuclei virtuali. |
| reason |
string |
Motivo della mancata disponibilità della funzionalità. |
| status |
Stato della funzionalità. |
|
| storageLimit |
Limite di archiviazione. |
|
| value |
integer (int32) |
Il valore dei nuclei virtuali. |
JobAgentEditionCapability
La capacità di Job Agent Edition.
| Nome | Tipo | Descrizione |
|---|---|---|
| name |
string |
Il nome dell'edizione agente di lavoro. |
| reason |
string |
Motivo della mancata disponibilità della funzionalità. |
| status |
Stato della funzionalità. |
|
| supportedServiceLevelObjectives |
L'elenco degli obiettivi supportati per il livello di servizio per l'edizione. |
JobAgentServiceLevelObjectiveCapability
La capacità di livello di servizio degli agenti di lavoro.
| Nome | Tipo | Descrizione |
|---|---|---|
| name |
string |
Il nome dell'obiettivo del servizio. |
| reason |
string |
Motivo della mancata disponibilità della funzionalità. |
| sku |
Sku. |
|
| status |
Stato della funzionalità. |
JobAgentVersionCapability
La funzionalità della versione dell'agente di lavoro.
| Nome | Tipo | Descrizione |
|---|---|---|
| name |
string |
Il nome della versione dell'agente di lavoro. |
| reason |
string |
Motivo della mancata disponibilità della funzionalità. |
| status |
Stato della funzionalità. |
|
| supportedEditions |
L'elenco delle edizioni supportate. |
LicenseTypeCapability
Funzionalità del tipo di licenza
| Nome | Tipo | Descrizione |
|---|---|---|
| name |
string |
Identificatore del tipo di licenza. |
| reason |
string |
Motivo della mancata disponibilità della funzionalità. |
| status |
Stato della funzionalità. |
LocationCapabilities
Funzionalità di posizione.
| Nome | Tipo | Descrizione |
|---|---|---|
| isZoneResilientProvisioningAllowed |
boolean |
Se l'abbonamento sia consentito o meno per fornire risorse resilienti a zone. |
| name |
string |
Nome della posizione. |
| reason |
string |
Motivo della mancata disponibilità della funzionalità. |
| status |
Stato della funzionalità. |
|
| supportedJobAgentVersions |
L'elenco delle versioni supportate per gli agenti di lavoro. |
|
| supportedManagedInstanceVersions |
L'elenco delle versioni supportate delle istanze gestite. |
|
| supportedServerVersions |
L'elenco delle versioni server supportate. |
LogSizeCapability
Funzionalità delle dimensioni del log.
| Nome | Tipo | Descrizione |
|---|---|---|
| limit |
integer (int32) |
Il limite di dimensione del logaritmo (vedi 'unità' per le unità). |
| unit |
Le unità in cui il limite è espresso. |
LogSizeUnit
Le unità in cui il limite è espresso.
| Valore | Descrizione |
|---|---|
| Megabytes |
Megabyte |
| Gigabytes |
Gigabyte |
| Terabytes |
Terabyte |
| Petabytes |
Petabyte |
| Percent |
Percent |
MaintenanceConfigurationCapability
Funzionalità di configurazione della manutenzione
| Nome | Tipo | Descrizione |
|---|---|---|
| name |
string |
Nome della configurazione di manutenzione |
| reason |
string |
Motivo della mancata disponibilità della funzionalità. |
| status |
Stato della funzionalità. |
|
| zoneRedundant |
boolean |
Se la ridondanza di zona sia supportata o meno per la configurazione di manutenzione. |
ManagedInstanceEditionCapability
Funzionalità del server gestito
| Nome | Tipo | Descrizione |
|---|---|---|
| isGeneralPurposeV2 |
boolean |
Indica se si tratta di una variante GPv2 dell'edizione Per utilizzo generico. |
| name |
string |
Il nome della versione del server gestito. |
| reason |
string |
Motivo della mancata disponibilità della funzionalità. |
| status |
Stato della funzionalità. |
|
| supportedFamilies |
Le famiglie sostenute. |
|
| supportedStorageCapabilities |
L'elenco delle capacità di archiviazione supportate per questa edizione |
ManagedInstanceFamilyCapability
Funzionalità della famiglia di server gestiti.
| Nome | Tipo | Descrizione |
|---|---|---|
| name |
string |
Nome della famiglia. |
| reason |
string |
Motivo della mancata disponibilità della funzionalità. |
| sku |
string |
Nome SKU. |
| status |
Stato della funzionalità. |
|
| supportedLicenseTypes |
Elenco dei tipi di licenza supportati. |
|
| supportedVcoresValues |
Elenco dei valori dei core virtuali supportati. |
|
| zoneRedundant |
boolean |
Se la ridondanza di zona sia supportata o meno per la famiglia. |
ManagedInstanceMaintenanceConfigurationCapability
Funzionalità di configurazione della manutenzione
| Nome | Tipo | Descrizione |
|---|---|---|
| name |
string |
Nome della configurazione di manutenzione |
| reason |
string |
Motivo della mancata disponibilità della funzionalità. |
| status |
Stato della funzionalità. |
ManagedInstanceVcoresCapability
Funzionalità dei core virtuali dell'istanza gestita.
| Nome | Tipo | Descrizione |
|---|---|---|
| includedMaxSize |
Dimensione inclusa. |
|
| includedStorageIOps |
integer (int64) |
Inclusi gli IOps di archiviazione. |
| includedStorageThroughputMBps |
integer (int64) |
Includeva la capacità di storage MBps. |
| instancePoolSupported |
boolean |
Vero se questo obiettivo di servizio è supportato per istanze gestite in un pool di idicenze. |
| iopsIncludedValueOverrideFactorPerSelectedStorageGB |
number (double) |
Includeva il fattore di override IOps per ogni GB di memoria selezionato. |
| iopsMinValueOverrideFactorPerSelectedStorageGB |
number (double) |
Fattore minimo di override IOps per ogni GB di memoria selezionato. |
| name |
string |
L'identificatore dei nuclei virtuali. |
| reason |
string |
Motivo della mancata disponibilità della funzionalità. |
| standaloneSupported |
boolean |
Vero se questo obiettivo di servizio è supportato per istanze gestite autonome. |
| status |
Stato della funzionalità. |
|
| supportedMaintenanceConfigurations |
Elenco delle configurazioni di manutenzione supportate |
|
| supportedMemoryLimitsMB |
Limiti di memoria per i range MB. |
|
| supportedMemorySizesInGB |
Dimensioni di memoria supportate in GB. |
|
| supportedStorageIOps |
Range di archiviazione IOps. |
|
| supportedStorageSizes |
Le dimensioni di archiviazione variano. |
|
| supportedStorageThroughputMBps |
La velocità di storage MBps varia. |
|
| throughputMBpsIncludedValueOverrideFactorPerSelectedStorageGB |
number (double) |
Includeva il fattore di override MBps per ogni GB di memoria selezionato. |
| throughputMBpsMinValueOverrideFactorPerSelectedStorageGB |
number (double) |
Fattore di override MBps di throughput minimo per GB di memoria selezionati. |
| value |
integer (int32) |
Il valore dei nuclei virtuali. |
ManagedInstanceVersionCapability
Funzionalità dell'istanza gestita
| Nome | Tipo | Descrizione |
|---|---|---|
| name |
string |
Il nome della versione server. |
| reason |
string |
Motivo della mancata disponibilità della funzionalità. |
| status |
Stato della funzionalità. |
|
| supportedEditions |
L'elenco delle edizioni di istanze gestite supportate. |
|
| supportedInstancePoolEditions |
L'elenco delle edizioni supportate per il pool di istanze. |
MaxLimitRangeCapability
La capacità massima di portata limite.
| Nome | Tipo | Descrizione |
|---|---|---|
| maxValue |
integer (int64) |
Valore massimo. |
| minValue |
integer (int64) |
Valore minimo. |
| reason |
string |
Motivo della mancata disponibilità della funzionalità. |
| scaleSize |
integer (int64) |
Scala/dimensione del passo per valori discreti tra il valore minimo e il valore massimo. |
| status |
Stato della funzionalità. |
MaxSizeCapability
Funzionalità di dimensioni massime.
| Nome | Tipo | Descrizione |
|---|---|---|
| limit |
integer (int32) |
Il limite massimo di dimensione (vedi 'unità' per le unità). |
| unit |
Le unità in cui il limite è espresso. |
MaxSizeRangeCapability
Funzionalità dell'intervallo di dimensioni massime.
| Nome | Tipo | Descrizione |
|---|---|---|
| logSize |
Dimensione del registro delle transazioni. |
|
| maxValue |
Valore massimo. |
|
| minValue |
Valore minimo. |
|
| reason |
string |
Motivo della mancata disponibilità della funzionalità. |
| scaleSize |
Scala/dimensione del passo per valori discreti tra il valore minimo e il valore massimo. |
|
| status |
Stato della funzionalità. |
MaxSizeUnit
Le unità in cui il limite è espresso.
| Valore | Descrizione |
|---|---|
| Megabytes |
Megabyte |
| Gigabytes |
Gigabyte |
| Terabytes |
Terabyte |
| Petabytes |
Petabyte |
MinCapacityCapability
Capacità minima
| Nome | Tipo | Descrizione |
|---|---|---|
| reason |
string |
Motivo della mancata disponibilità della funzionalità. |
| status |
Stato della funzionalità. |
|
| value |
number (double) |
Valore minimo della capacità |
PauseDelayTimeUnit
Unità di tempo in cui il ritardo è espresso in
| Valore | Descrizione |
|---|---|
| Minutes |
Minuti |
PerDatabaseAutoPauseDelayTimeRange
Intervallo di tempo di pausa automatica supportato
| Nome | Tipo | Descrizione |
|---|---|---|
| default |
integer (int32) |
Valore predefinito se non viene fornito alcun valore |
| doNotPauseValue |
integer (int32) |
Valore che viene usato per non mettere in pausa (ritardo infinito prima della pausa) |
| maxValue |
integer (int32) |
Valore massimo |
| minValue |
integer (int32) |
Valore minimo |
| stepSize |
integer (int32) |
Valore a passo per valori discreti tra il valore minimo e il valore massimo. |
| unit |
Unità di tempo in cui il ritardo è espresso in |
PerformanceLevelCapability
Funzionalità del livello di prestazioni.
| Nome | Tipo | Descrizione |
|---|---|---|
| unit |
Tipo di unità utilizzato per misurare il livello di prestazione. |
|
| value |
number (double) |
Valore di prestazione. |
PerformanceLevelUnit
Tipo di unità utilizzato per misurare il livello di prestazione.
| Valore | Descrizione |
|---|---|
| DTU |
DTU |
| VCores |
VCore |
ReadScaleCapability
Funzionalità di scalabilità in lettura.
| Nome | Tipo | Descrizione |
|---|---|---|
| maxNumberOfReplicas |
integer (int32) |
Il numero massimo di repliche in scala di lettura. |
| reason |
string |
Motivo della mancata disponibilità della funzionalità. |
| status |
Stato della funzionalità. |
ServerVersionCapability
Funzionalità del server
| Nome | Tipo | Descrizione |
|---|---|---|
| name |
string |
Il nome della versione server. |
| reason |
string |
Motivo della mancata disponibilità della funzionalità. |
| status |
Stato della funzionalità. |
|
| supportedEditions |
L'elenco delle edizioni supportate per il database. |
|
| supportedElasticPoolEditions |
L'elenco delle edizioni supportate per la piscina elastica. |
ServiceObjectiveCapability
Capacità degli obiettivi di servizio.
| Nome | Tipo | Descrizione |
|---|---|---|
| computeModel |
string |
Il modello di calcolo |
| id |
string (uuid) |
L'ID unico dell'obiettivo del servizio. |
| includedMaxSize |
La dimensione massima inclusa (gratuita). |
|
| name |
string |
Il nome dell'obiettivo del servizio. |
| performanceLevel |
Il livello di prestazioni. |
|
| reason |
string |
Motivo della mancata disponibilità della funzionalità. |
| sku |
Sku. |
|
| status |
Stato della funzionalità. |
|
| supportedAutoPauseDelay |
Intervallo di tempo supportato per il ritardo automatico di pausa |
|
| supportedFreeLimitExhaustionBehaviors |
Elenco dei comportamenti supportati per esaurimento del limite libero |
|
| supportedLicenseTypes |
Elenco dei tipi di licenza supportati. |
|
| supportedMaintenanceConfigurations |
Elenco delle configurazioni di manutenzione supportate |
|
| supportedMaxSizes |
L'elenco delle dimensioni massime supportate dei database. |
|
| supportedMinCapacities |
Elenco delle capacità minime supportate |
|
| supportedZones |
Elenco delle zone di disponibilità supportate |
|
| zonePinning |
boolean |
Se il zone pinning sia supportato o meno. |
| zoneRedundant |
boolean |
Se la ridondanza di zona sia supportata o meno per l'obiettivo del servizio. |
Sku
SKU della risorsa ARM.
| Nome | Tipo | Descrizione |
|---|---|---|
| capacity |
integer (int32) |
Capacità dello SKU specifico. |
| family |
string |
Se il servizio ha generazioni diverse di hardware, per lo stesso SKU, è possibile acquisire qui. |
| name |
string |
Il nome dello SKU, in genere, una lettera + codice numerico, ad esempio P3. |
| size |
string |
Dimensioni dello SKU specifico |
| tier |
string |
Il livello o l'edizione dello SKU specifico, ad esempio Basic, Premium. |
StorageCapability
Funzionalità del tipo di account di archiviazione.
| Nome | Tipo | Descrizione |
|---|---|---|
| reason |
string |
Motivo della mancata disponibilità della funzionalità. |
| status |
Stato della funzionalità. |
|
| storageAccountType |
Il tipo di account di archiviazione per i backup del database. |
StorageCapabilityStorageAccountType
Il tipo di account di archiviazione per i backup del database.
| Valore | Descrizione |
|---|---|
| GRS |
Archiviazione con ridondanza geografica |
| LRS |
LRS |
| ZRS |
ZRS |
| GZRS |
Archiviazione con ridondanza geografica della zona |
ZonePinningCapability
La capacità di bloccaggio delle zone
| Nome | Tipo | Descrizione |
|---|---|---|
| availabilityZone |
string |
Nome della zona di disponibilità |
| reason |
string |
Motivo della mancata disponibilità della funzionalità. |
| status |
Stato della funzionalità. |